Package com.collibra.dgc.core.api.dto.instance.asset

# Class SetAssetRelationsRequest.Builder

Object
Builder

Enclosing class:
  `SetAssetRelationsRequest`

public static final class SetAssetRelationsRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SetAssetRelationsRequest.Builder`
  `assetId(UUID assetId)`
  Required. The ID of the asset.
  `SetAssetRelationsRequest`
  `build()`
  `SetAssetRelationsRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `SetAssetRelationsRequest.Builder`
  `relatedAssetIds(List<UUID> relatedAssetIds)`
  Required. The IDs of the related assets.
  `SetAssetRelationsRequest.Builder`
  `relationDirection(SetAssetRelationsRequest.RelationDirection relationDirection)`
  The relation direction.
  `String`
  `toString()`
  `SetAssetRelationsRequest.Builder`
  `typeId(UUID typeId)`
  Required. The ID of the relation type for the relations to be set.
  `SetAssetRelationsRequest.Builder`
  `typePublicId(String typePublicId)`
  The public ID of the relation type for the relations to be set.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public SetAssetRelationsRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `SetAssetRelationsRequest.builder()`
    Clone method for this Builder.

  - ### assetId

    public SetAssetRelationsRequest.Builder assetId(UUID assetId)
    Required. The ID of the asset.
    Returns:
      `this`.

  - ### typeId

    public SetAssetRelationsRequest.Builder typeId(UUID typeId)
    Required. The ID of the relation type for the relations to be set.
    Returns:
      `this`.

  - ### relatedAssetIds

    public SetAssetRelationsRequest.Builder relatedAssetIds(List<UUID> relatedAssetIds)
    Required. The IDs of the related assets.
    Returns:
      `this`.

  - ### relationDirection

    public SetAssetRelationsRequest.Builder relationDirection(SetAssetRelationsRequest.RelationDirection relationDirection)
    The relation direction. If TO_SOURCE then related assets will become source assets. Otherwise they will become target assets for created relations.
    Returns:
      `this`.

  - ### typePublicId

    public SetAssetRelationsRequest.Builder typePublicId(String typePublicId)
    The public ID of the relation type for the relations to be set.
    Returns:
      `this`.

  - ### build

    public SetAssetRelationsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`